### ALIASES ###

# Colorize all `ls` output:
alias ls='ls -AF --color=auto'

# Map "la" to `ls -la`
alias la='ls -laFh --color=auto'

# Colorize `grep` output 
alias grep='grep --color=auto'

# Change layout of lsblk to include FSTYPE and remove MAJ:MIN, RM, and RO collumns.
alias lsblk='lsblk -o NAME,FSTYPE,SIZE,TYPE,MOUNTPOINT'

# Always use sudo when using nmap.
alias nmap='sudo -E nmap'

# Output only the UUID of the target device
alias printuuid='blkid -o value -s UUID'

# Output only the PARTUUID of the target device
alias printpartuuid='blkid -o value -s PARTUUID'

# Show count of updates from checkupdates 
alias countupdates='checkupdates | wc -l'
